// Code generated by swaggo/swag. DO NOT EDIT.

package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/v1/packs": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Gymshark"
                ],
                "summary": "Solve pack numbers",
                "parameters": [
                    {
                        "description": "Data for solve pack number",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/gymshark_internal_models.OrderReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/gymshark_internal_schema.F-gymshark_internal_schema_Empty"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/gymshark_internal_schema.F-gymshark_internal_schema_Empty"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "gymshark_internal_models.OrderReq": {
            "type": "object",
            "properties": {
                "company_id": {
                    "type": "string",
                    "example": "e340aadd-83fc-4923-b9bc-be0174c8f6c8"
                },
                "items_number": {
                    "type": "number",
                    "example": 12001
                },
                "pack_size_1": {
                    "type": "number",
                    "example": 250
                },
                "pack_size_2": {
                    "type": "number",
                    "example": 500
                },
                "pack_size_3": {
                    "type": "number",
                    "example": 1000
                },
                "pack_size_4": {
                    "type": "number",
                    "example": 2000
                },
                "pack_size_5": {
                    "type": "number",
                    "example": 5000
                }
            }
        },
        "gymshark_internal_schema.Empty": {
            "type": "object"
        },
        "gymshark_internal_schema.F-gymshark_internal_schema_Empty": {
            "type": "object",
            "properties": {
                "message": {
                    "type": "string"
                },
                "result": {
                    "$ref": "#/definitions/gymshark_internal_schema.Empty"
                },
                "status": {
                    "type": "boolean"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0.0",
	Host:             "34.30.132.28",
	BasePath:         "/",
	Schemes:          []string{},
	Title:            "Gymshark test project",
	Description:      "Swagger Documentation for Gymshark Project",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
